<?php
/**
 * KingyoyaMambotParameter メインスクリプト
 * 
 * 金魚屋開発支援シリーズ
 *
 * @package Joomla
 * @mambot bot_kingyoya_mambot_loader
 * @copyright (C) 2008 金魚屋見聞録
 * @author 金魚屋・Ｊ・龍角
 * @version 1.0.0
 */

// no direct access
defined( '_VALID_MOS' ) or die( 'Restricted access' );

/**
 * Mambot パラメータ取得クラス
 */
class mosKingyoyaMambotParameter extends mosParameters {

	/**
	 * コンストラクタ
	 * @param string mambot_name
	 */
	function mosKingyoyaMambotParameter($mambot_name) {
		global $_MAMBOTS;
		$params = null;
		for ($i=0; $i<count($_MAMBOTS->_bots); $i++) {
			$bot =& $_MAMBOTS->_bots[$i];
			if ($bot->element === $mambot_name) {
				$params = $bot->params;
				break;
			}
		}
		if (!isset($params)) {
			global $database;
			$mambot = new mosMambot($database);
			$mambot->_tbl_key = 'element';
			$result = $mambot->load($mambot_name);
			$result and $params = $mambot->params;
		}
		parent::mosParameters($params);
	}
}

